Subject: Re: bug#29008: 26.0.90; two bugs in gnus-read-ephemeral-*

From: Katsumi Yamaoka <[email-masked]>
Date: Fri, 27 Oct 2017 09:47:03 +0900

On Thu, 26 Oct 2017 20:12:37 -0400, Noam Postavsky wrote:
> Ah, it's url-automatic-caching which defaults to nil.  After setting to
> t I can reproduce the error.

Oops, I definitely have set url-automatic-caching.

> It seems to me that 3xx HTTP errors should not signal a file-error, as
> they merely indicate redirects or similar.  Probably not a good idea to
> start messing with error handling in the release branch though.

> So I would suggest that your fix could go to emacs-26 but marked not to
> merge to master, and master could be changed not to signal error on 3xx
> HTTP codes.  What do you think?

Yes, no one suffers any pain by 3xx, so they should not be errors.
I absolutely agree with changing the handling upon 3xx codes in
the future.  I'm going to commit the change in only emas-26 with
a comment.

Thanks.